%global moduledir %(pkg-config xorg-server --variable=moduledir )

%undefine _hardened_build

Summary:   Xorg X11 fbdev video driver
Name:      xorg-x11-drv-fbdev
Version:   0.5.0
Release:   4%{?dist}
License:   MIT
URL:       http://www.x.org
Source0:   https://www.x.org/pub/individual/driver/xf86-video-fbdev-%{version}.tar.bz2
Patch3000: BGNoneRoot.patch

BuildRequires: make autoconf automake libtool
BuildRequires: xorg-x11-server-devel >= 1.10.99.902
Requires: Xorg %(xserver-sdk-abi-requires ansic)
Requires: Xorg %(xserver-sdk-abi-requires videodrv)

%description 
X.Org X11 fbdev video driver.

%prep
%autosetup -p1 -n xf86-video-fbdev-%{version}

%build
autoreconf -vif
%configure --disable-static
make

%install
rm -rf %{buildroot}
%make_install
find %{buildroot} -regex ".*\.la$" | xargs rm -f --

%files
%{moduledir}/drivers/fbdev_drv.so
%{_mandir}/man4/fbdev.4*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 15 2022 Wang Guodong <gordonwwang@tencent.com> - 0.5.0-1
- package init.
